#include "PacketBuf.h"
#include "PacketBufComparator.h"

/** This function compares the specified two PacketBuf objects
  * on the basis of their time values.  Earlier time value is lesser.
  */
int PacketBufComparator::operator() (PacketBuf* &x, PacketBuf* &y) {
    if (x->mToSendTime.tv_sec < y->mToSendTime.tv_sec) {
        return 0;
    } else if (x->mToSendTime.tv_sec > y->mToSendTime.tv_sec) {
        return 1;
    } else if (x->mToSendTime.tv_usec < y->mToSendTime.tv_usec) {
        return 0;
    } else if (x->mToSendTime.tv_usec > y->mToSendTime.tv_usec) {
        return 1;
    } else {
        return 0;
    }
}





